Index: Singular/MinorInterface.cc
===================================================================
--- Singular/MinorInterface.cc	(revision 7b9b0a23c18c84cceab0ff377feea82ae1e3429a)
+++ Singular/MinorInterface.cc	(revision f319f56b825b534ab7d932c0e0836e2b2c4a4a53)
@@ -88,5 +88,5 @@
 ideal getMinorIdeal_Int (const int* intMatrix, const int rowCount, const int columnCount,
                          const int minorSize, const int k, const char* algorithm,
-                         const ideal& i, const bool allDifferent)
+                         const ideal i, const bool allDifferent)
 {
   /* setting up a MinorProcessor for matrices with integer entries: */
@@ -136,5 +136,5 @@
 ideal getMinorIdeal_Poly (const poly* polyMatrix, const int rowCount, const int columnCount,
                           const int minorSize, const int k, const char* algorithm,
-                          const ideal& i, const bool allDifferent)
+                          const ideal i, const bool allDifferent)
 {
   /* setting up a MinorProcessor for matrices with polynomial entries: */
@@ -177,5 +177,5 @@
 
 ideal getMinorIdeal_toBeDone (const matrix& mat, const int minorSize, const int k,
-                              const char* algorithm, const ideal& i, const bool allDifferent)
+                              const char* algorithm, const ideal i, const bool allDifferent)
 {
   int rowCount = mat->nrows;
@@ -222,6 +222,6 @@
    E.g. Bareiss may be used over fields or over Z but not over
         Z/6 (which has non-zero zero divisors, namely 2 and 3). */
-ideal getMinorIdeal (const matrix& mat, const int minorSize, const int k,
-                     const char* algorithm, const ideal& iSB, const bool allDifferent)
+ideal getMinorIdeal (const matrix mat, const int minorSize, const int k,
+                     const char* algorithm, const ideal iSB, const bool allDifferent)
 {
   /* Note that this method should be replaced by getMinorIdeal_toBeDone,
@@ -370,5 +370,5 @@
 }
 
-ideal getMinorIdealCache_toBeDone (const matrix& mat, const int minorSize, const int k,
+ideal getMinorIdealCache_toBeDone (const matrix mat, const int minorSize, const int k,
                                    const ideal& iSB, const int cacheStrategy,
                                    const int cacheN, const int cacheW,
@@ -397,6 +397,6 @@
 }
 
-ideal getMinorIdealCache (const matrix& mat, const int minorSize, const int k,
-                          const ideal& iSB, const int cacheStrategy,
+ideal getMinorIdealCache (const matrix mat, const int minorSize, const int k,
+                          const ideal iSB, const int cacheStrategy,
                           const int cacheN, const int cacheW,
                           const bool allDifferent)
@@ -431,6 +431,6 @@
 }
 
-ideal getMinorIdealHeuristic (const matrix& mat, const int minorSize, const int k,
-                              const ideal& iSB, const bool allDifferent)
+ideal getMinorIdealHeuristic (const matrix mat, const int minorSize, const int k,
+                              const ideal iSB, const bool allDifferent)
 {
   int vars = 0; if (currRing != 0) vars = currRing->N;
Index: Singular/MinorInterface.h
===================================================================
--- Singular/MinorInterface.h	(revision 7b9b0a23c18c84cceab0ff377feea82ae1e3429a)
+++ Singular/MinorInterface.h	(revision f319f56b825b534ab7d932c0e0836e2b2c4a4a53)
@@ -19,13 +19,13 @@
    "Laplace"; when a cache is used, the underlying algorithm
    is automatically Laplace */
-ideal getMinorIdeal          (const matrix& m, const int minorSize, const int k,
-                              const char* algorithm, const ideal& i,
+ideal getMinorIdeal          (const matrix m, const int minorSize, const int k,
+                              const char* algorithm, const ideal i,
                               const bool allDifferent);
-ideal getMinorIdealCache     (const matrix& m, const int minorSize, const int k,
-                              const ideal& i, const int cacheStrategy,
+ideal getMinorIdealCache     (const matrix m, const int minorSize, const int k,
+                              const ideal i, const int cacheStrategy,
                               const int cacheN, const int cacheW,
                               const bool allDifferent);
-ideal getMinorIdealHeuristic (const matrix& m, const int minorSize, const int k,
-                              const ideal& i, const bool allDifferent);
+ideal getMinorIdealHeuristic (const matrix m, const int minorSize, const int k,
+                              const ideal i, const bool allDifferent);
 
 #endif
